WHIP-CLIENT(1)

NAME
whip-client - simple GStreamer-based WHIP client

DESCRIPTION

  Usage:

    whip-client [OPTION?] -- Simple WHIP client

  Help Options:

-h, --help
    Show help options

  Application Options:

-u, --url
    Address of the WHIP endpoint (required)

-t, --token
    Authentication Bearer token to use (optional)

-A, --audio
    GStreamer pipeline to use for audio (optional, required if audio-only)

-V, --video
    GStreamer pipeline to use for video (optional, required if video-only)

-n, --no-trickle
    Don't trickle candidates, but put them in the SDP offer (default: false)

-f, --follow-link
    Use the Link headers returned by the WHIP server to automatically configure STUN/TURN servers to use (default: false)

-S, --stun-server
    STUN server to use, if any (stun://hostname:port)

-T, --turn-server
    TURN server to use, if any; can be called multiple times (turn(s)://username:password@host:port?transport=[udp,tcp])

-F, --force-turn
    In case TURN servers are provided, force using a relay (default: false)

-l, --log-level
    Logging level (0=disable logging, 7=maximum log level; default: 4)

-o, --disable-colors
    Disable colors in the logging (default: enabled)

-L, --log-timestamps
    Enable logging timestamps (default: disabled)

-H, --http-debugging
    HTTP debugging level (none, minimal, headers, body; default: none)

-e, --eos-sink-name
    GStreamer sink name for EOS signal

-b, --jitter-buffer
    Jitter buffer (latency) to use in RTP, in milliseconds (default: -1, use webrtcbin's default)